Loading...
Searching...
No Matches
benchmark_common.h File Reference
`#include <spdlog/tweakme.h>`
`#include <gnuradio/random.h>`
`#include <spdlog/fmt/fmt.h>`
`#include <string_view>`
`#include <chrono>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <limits>`
`#include <numeric>`
`#include <vector>`
Include dependency graph for benchmark_common.h:

Go to the source code of this file.

## Functions

template<typename functor>
auto | benchmark (functor test, size_t block_size)
template<typename dur_t>
auto | format_duration (std::string_view name, dur_t dur, size_t iterations, size_t block_size)

## Function Documentation

## benchmark()

template<typename functor>

auto benchmark | ( | functor | test,
|  | size_t | block_size )

nodiscard

## format_duration()

template<typename dur_t>

auto format_duration | ( | std::string_view | name,
|  | dur_t | dur,
|  | size_t | iterations,
|  | size_t | block_size )